net.minecraft.client.gui

## Class GuiNewChat

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiNewChat

-     public class GuiNewChat
      extends Gui

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiNewChat(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToSentMessages(java.lang.String p_146239_1_)`
    `void` | `clearChatMessages()`
    `void` | `deleteChatLine(int p_146242_1_)`
    `void` | `drawChat(int p_146230_1_)`
    `int` | `func_146228_f()`
    `int` | `func_146232_i()`
    `static int` | `func_146233_a(float p_146233_0_)`
    `IChatComponent` | `func_146236_a(int p_146236_1_, int p_146236_2_)`
    `static int` | `func_146243_b(float p_146243_0_)`
    `float` | `func_146244_h()`
    `int` | `func_146246_g()`
    `boolean` | `getChatOpen()`
    `java.util.List` | `getSentMessages()`
    `void` | `printChatMessage(IChatComponent p_146227_1_)`
    `void` | `printChatMessageWithOptionalDeletion(IChatComponent p_146234_1_, int p_146234_2_)`
    `void` | `refreshChat()`
    `void` | `resetScroll()`
    `void` | `scroll(int p_146229_1_)`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiNewChat

          public GuiNewChat(Minecraft par1Minecraft)

  - ### Method Detail

    - #### drawChat

          public void drawChat(int p_146230_1_)

    - #### clearChatMessages

          public void clearChatMessages()

    - #### printChatMessage

          public void printChatMessage(IChatComponent p_146227_1_)

    - #### printChatMessageWithOptionalDeletion

          public void printChatMessageWithOptionalDeletion(IChatComponent p_146234_1_,
                                                  int p_146234_2_)

    - #### refreshChat

          public void refreshChat()

    - #### getSentMessages

          public java.util.List getSentMessages()

    - #### addToSentMessages

          public void addToSentMessages(java.lang.String p_146239_1_)

    - #### resetScroll

          public void resetScroll()

    - #### scroll

          public void scroll(int p_146229_1_)

    - #### func_146236_a

          public IChatComponent func_146236_a(int p_146236_1_,
                                     int p_146236_2_)

    - #### getChatOpen

          public boolean getChatOpen()

    - #### deleteChatLine

          public void deleteChatLine(int p_146242_1_)

    - #### func_146228_f

          public int func_146228_f()

    - #### func_146246_g

          public int func_146246_g()

    - #### func_146244_h

          public float func_146244_h()

    - #### func_146233_a

          public static int func_146233_a(float p_146233_0_)

    - #### func_146243_b

          public static int func_146243_b(float p_146243_0_)

    - #### func_146232_i

          public int func_146232_i()